Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.table
Interface PageableTableModel

All Superinterfaces:
  java.io.Serializable, TableModel

All Known Implementing Classes:
  DefaultPageableSortableTableModel

    public interface PageableTableModel

extends TableModel

An interface for paging through rows of data in a `TableModel`.

Method Summary
`int` | `getCurrentPage()` Returns the currently displayed page
`int` | `getRowsPerPage()` Returns the number of viewable rows per each displayed page
`int` | `getTotalPages()` Returns the total number of pages this model contains based on total rows / rows per page.
`int` | `getTotalRows()` Returns the total number of rows backing the model.
`void` | `setCurrentPage(int page)` Sets the current page this model should reflect.
`void` | `setRowsPerPage(int rows)` Sets the number of viewable rows per each displayed page.

Methods inherited from interface nextapp.echo2.app.table.TableModel
`addTableModelListener, getColumnClass, getColumnCount, getColumnName, getRowCount, getValueAt, removeTableModelListener`

Method Detail

### setCurrentPage

    void setCurrentPage(int page)

  Sets the current page this model should reflect. Implementations that sublcass `DefaultTableModel` should call fireTableDataChanged()

  Parameters:
    `page` - the page to display

### getCurrentPage

    int getCurrentPage()

  Returns the currently displayed page

  Returns:
    the page

### setRowsPerPage

    void setRowsPerPage(int rows)

  Sets the number of viewable rows per each displayed page. Implementations that sublcass `DefaultTableModel` should call fireTableDataChanged()

  Parameters:
    `rows` - the number of rows to display

### getRowsPerPage

    int getRowsPerPage()

  Returns the number of viewable rows per each displayed page

  Returns:
    the rows displayed per page

### getTotalRows

    int getTotalRows()

  Returns the total number of rows backing the model.

  Returns:
    the total number of rows

### getTotalPages

    int getTotalPages()

  Returns the total number of pages this model contains based on total rows / rows per page.

  Returns:
    the number of rows per page

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD